Loading...
Searching...
No Matches
L4::Base_exception Class Referenceabstract
L4Re C++ Interface » C++ Exceptions

Base class for all exceptions, thrown by the L4Re framework. More...

`#include <l4/cxx/exceptions>`

Inheritance diagram for L4::Base_exception:
Collaboration diagram for L4::Base_exception:

## Public Member Functions

virtual char const * | str () const noexcept=0
| Return a human readable string for the exception.
virtual | ~Base_exception () noexcept
| Destruction.
Public Member Functions inherited from L4::Exception_tracer
void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.

## Protected Member Functions

| Base_exception () noexcept
| Create a base exception.
Protected Member Functions inherited from L4::Exception_tracer
| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Base class for all exceptions, thrown by the L4Re framework.

This is the abstract base of all exceptions thrown within the L4Re framework. It is basically also a good idea to use it as base of all user defined exceptions.

Definition at line 105 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions